@media (min-width: 1700px) {
  .betraweb .container {
    max-width: 1610px;
  }
}
@media (min-width: 1600px) and (max-width: 1699px) {
  .betraweb .container {
    max-width: 1510px;
  }
}
@media (min-width: 1500px) and (max-width: 1599px) {
  .betraweb .container {
    max-width: 1400px;
  }
}
@media (min-width: 1200px) {
  /* Extra Large (XL) screens */
  .custom-col-3 {
    flex: 0 0 31%;
    max-width: 31%;
  }
  .col-2_4 {
    flex: 0 0 20%;
    max-width: 20%;
  }
}
@media (min-width: 575px) and (max-width: 767px) {
  .deals_of_the_day .col-sm-12 {
    flex: 0 0 auto;
    width: 50%;
  }
}
@media (max-width: 575px) {
  .col-xs-6 {
    flex: 0 0 auto;
    width: 50%;
	  padding: 2.5px;
  }
	.product_grid.normal .product_grid_wrapper {
  margin-bottom: 0px!important;
}
	.product_grid_wrapper .product_content_wrap h2, .product_grid_wrapper .product_content_wrap h2 a {
    font-size: 13px!important;
}
	.product_grid_wrapper .product_content_wrap .sold_stock .d-flex span.sold_status, .product_grid_wrapper .product_content_wrap span.sold_ratio em, .product_rating_wrap .product_rating span.star-rating, .product_rating_wrap .product_rating span.text-muted {
    font-size: 10px!important;
}
  a.button.add_to_cart_button, a.button.view_cart_button {
    font-size: 10px;
  }
  .product_grid_wrapper .product_image_wrap .product_badges span.badge_type_discount,
  .product_grid_wrapper .product_image_wrap .product_badges span.badge_type_text {
    padding: 8px 12px;
  }
  .betraweb .whmc-body .whmc_ft-buttons-con a {
    padding: 5px;
  }
  .deals_product_wrapper .product_content_wrap {
    max-width: 95%;
  }  
  .view-category-wrap {
    display: none;
  }
  .bottom-header .col-sm-6 {
    width: 50%;
  }
  .grid-tab-content .owl-nav {
    left: unset !important;
    top: -45px !important;
    right: 0;
  }
  .grid-tab-content .owl-nav button.owl-prev, 
  .grid-tab-content .owl-nav button.owl-next {
    width: 30px;
    height: 30px;
    line-height: 30px !important;
  }
  .grid-tab-content .owl-nav button.owl-prev {
    left: 0px !important;
  }
  .grid-tab-content .owl-nav button.owl-next {
    right: 5px !important;
  }
  section.product_grid.slide .product_grid_nav ul.nav.nav-tabs {
    margin-left: 0 !important;
    padding-right: 65px !important;
  }
  .betraweb #pm_menu.pm_open {
    width: 100%;
  }
  .home-slider .slider-content {
    padding: 20px 30px;
    min-height: 300px;
  }
  .section-title h3 {
    font-size: 20px !important;
  }
  .betraweb .home-slider .slider-content .display-2 {
    font-size: 25px !important;
    line-height: 30px !important;
    margin-bottom: 15px !important;
  }
  .featured_category_slider .owl-nav button.owl-prev,
  .featured_category_slider .owl-nav button.owl-next,
  .home-slider.owl-carousel .owl-nav button.owl-prev,
  .home-slider.owl-carousel .owl-nav button.owl-next {
    width: 28px;
    height: 28px;
    line-height: 28px !important;
    font-size: 20px !important;
  }
  .home-slider.owl-carousel .owl-nav .owl-next {
    right: 0;
  }
  .home-slider.owl-carousel .owl-nav .owl-prev {
    left: 0;
  }
  .home-slider .owl-nav {
    opacity: 1;
    visibility: visible;
  }
  .featured_category_slider .owl-nav button.owl-next i,
  .featured_category_slider .owl-nav button.owl-prev i,
  .home-slider.owl-carousel .owl-nav button.owl-prev i,
  .home-slider.owl-carousel .owl-nav button.owl-next i {
    font-size: 20px;
  }
  .featured_category_slider .owl-nav {
    top: -38px;
  }
  .breadcrumb_product_pagination {
    display: none;
  }
}

@media (min-width: 992px) and (max-width: 1199.98px) {
  /* Large (LG) screens */
  .custom-col-3 {
    flex: 0 0 33%;
    max-width: 33%;
  }
}
@media (min-width: 992px) {
  .mobile_floating_menu {
    display: none;
  }
  .betraweb .storefront-sticky-add-to-cart .col-full {
    padding: 0 35px;
  }
}
/* Responsive adjustments for smaller screens */
@media (max-width: 1200px) {
  .mini-compare span.lable,
  .mini-wish span.lable,
  .header-login span.lable,
  span.cart_count_total {
    display: none;
  }
}
@media (max-width: 480px) {
  .main-header .logo_wrap {
    flex-direction: column;
    justify-content: center;
  }
  .main-header .header_action_right .header_action2 {
    justify-content: center;
  }
}
@media (max-width: 1200px) {
  .bottom-header .menu_bar .burger-icon {
    position: relative;
    width: 24px;
    height: 20px;
    cursor: pointer;
    transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
    float: right;
  }
  .bottom-header .menu_bar .burger-icon span {
    display: block;
    position: absolute;
    left: 0;
    width: 100%;
    height: 2px;
  }
  .bottom-header .menu_bar .burger-icon span.burger-icon-top {
    top: 2px;
  }
  .bottom-header .menu_bar .burger-icon span.burger-icon-bottom {
    bottom: 2px;
  }
  .bottom-header .menu_bar .burger-icon span.burger-icon-mid {
    top: 9px;
  }
  .bottom-header .menu_bar .burger-icon>span::before,
  .bottom-header .menu_bar .burger-icon>span::after {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    content: "";
    background-color: #333;
  }
  .mobile_header_wrap.visible {
    visibility: visible;
    opacity: 1;
    transform: translate(0, 0);
  }
  .mobile_header_wrap_inner {
    padding: 0px 0px 30px;
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
  }
  .mobile_header_top {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 20px 30px;
    background-color: transparent;
    align-items: center;
  }
  .mobile_header_content_area {
    padding: 30px 30px 30px;
  }
  .mobile_menu_close {
    position: absolute;
    top: 10px;
    right: 15px;
    z-index: 9999;
  }
  button.close-menu {
    position: relative;
    width: 26px;
    height: 26px;
    background-color: #E91E63;
    border-radius: 30px;
    padding: 0;
  }
  button.close-menu i {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 10px;
    height: 1px;
    transform-origin: center;
    display: block;
    overflow: hidden;
  }
  button.close-menu i.icon-top {
    transform: translate(-50%, -50%) rotate(45deg);
  }
  button.close-menu i.icon-bottom {
    transform: translate(-50%, -50%) rotate(-45deg);
  }
  button.close-menu i::before,
  button.close-menu i::after {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    content: "";
    background-color: #ffffff;
  }
  button.close-menu i.icon-top::before {
    transition: transform 0.6s cubic-bezier(0.165, 0.84, 0.44, 1) 0.2s;
    transform: scaleX(1) translateZ(0);
    transform-origin: right;
  }
  button.close-menu i.icon-top::after {
    transition: transform 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);
    transform: scaleX(0) translateZ(0);
    transform-origin: left;
  }
  button.close-menu i.icon-bottom::before {
    transition: transform 0.6s cubic-bezier(0.165, 0.84, 0.44, 1) 0.2s;
    transform: scaleX(1) translateZ(0);
    transform-origin: right;
  }
  button.close-menu i.icon-bottom::after {
    transition: transform 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);
    transform: scaleX(0) translateZ(0);
    transform-origin: left;
  }
  .mobile_header_search {
    border-bottom: 1px solid rgba(255, 255, 255, 0.15);
    padding: 0 0 10px 0;
    margin-bottom: 10px;
  }
  .mobile_header_search form input.search {
    font-size: var(--font-sm);
    width: 100%;
    height: 45px;
    color: var(--color-heading);
    background-color: #f2f3f4;
    border-radius: 5px;
    padding: 3px 50px 3px 20px;
    transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
    border: 1px solid var(--border-colors) !important;
  }
  .mobile_header_search form {
    position: relative;
  }
  .mobile_header_search form button.sch_btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    border: none;
    font-size: var(--font-md);
    height: 100%;
    padding: 0 14px;
    background-color: transparent;
    color: #333;
  }
  .mobile_menu_wrap {
    border-bottom: 1px solid rgba(255, 255, 255, 0.15);
  }
  .mobile_menu_wrap li.nav-item {
    width: 50%;
  }
  .mobile_menu_wrap li.nav-item button {
    display: block;
    width: 100%;
    background-color: rgb(238, 238, 238);
    text-align: center;
    padding: 5px 20px;
    color: #444;
    border-radius: 4px;
    transition: 0.2s;
    border: 0;
    font-size: 15px;
    font-family: var(--font-heading);
    font-weight: 600;
  }
  .mobile_menu_wrap li.nav-item button.active,
  .mobile_menu_wrap li.nav-item button:hover {
    color: var(--primary-color);
    background-color: #fde1bd;
  }
  .mobile_menu_wrap .nav-tabs {
    justify-content: space-between;
    gap: 10px;
    flex-wrap: nowrap;
  }
  .mobile_menu_wrap .nav-tabs .nav-link:hover {
    transform: translateY(-3px);
    transition: 0.2s;
  }
  .mobile_menu_wrap nav {
    height: 100%;
  }
  .mobile_menu_wrap nav #mobile-header-menu>li.menu-item {
    display: block;
    padding: 13px 0;
    border-bottom: 1px solid #ececec;
    position: relative;
  }
  .mobile_menu_wrap nav #mobile-header-menu>li.menu-item:last-child {
    border-bottom: none;
  }
  .mobile_menu_wrap nav #mobile-header-menu>li.menu-item>a {
    font-size: var(--font-sm);
    line-height: 1;
    text-transform: capitalize;
    font-weight: 700;
    position: relative;
    display: inline-block;
    color: var(--color-heading);
  }
  .mobile_menu_wrap nav #mobile-header-menu>li.menu-item.menu-item-has-children .menu-expand {
    right: 0;
    position: absolute;
    cursor: pointer;
    z-index: 9;
    text-align: center;
    font-size: 12px;
    display: block;
    width: 30px;
    height: 30px;
    line-height: 38px;
    top: 5px;
    color: var(--color-heading);
  }
  .mobile_menu_wrap nav #mobile-header-menu>li.menu-item.menu-item-has-children.active .menu-expand {
    background: var(--primary-color);
    color: #fff;
    line-height: 32px;
  }
  .mobile_menu_wrap nav #mobile-header-menu>li.menu-item ul.sub-menu {
    padding: 10px 0 0 10px;
  }
  .mobile_menu_wrap nav #mobile-header-menu>li.menu-item ul.sub-menu>li.menu-item {
    padding: 10px 0;
    border-bottom: none;
  }
  .mobile_menu_wrap nav #mobile-header-menu>li.menu-item ul.sub-menu>li.menu-item>a {
    font-size: var(--font-sm);
    display: block;
    font-weight: 500;
    font-size: var(--font-sm);
    line-height: 1;
    text-transform: capitalize;
    font-weight: 700;
    position: relative;
    display: inline-block;
    color: var(--color-heading);
  }
  .mobile_social_wrap {
    padding: 10px 0;
  }
  .mobile_social_wrap .social_icon {
    justify-content: flex-start;
  }
  .mobile_social_wrap .social_icon ul {
    list-style: none;
    display: inline-block;
  }
  .mobile_social_wrap .social_icon ul>li {
    display: inline-block;
    padding: 0 5px;
  }
  .mobile_social_wrap .social_icon ul>li>a>i {
    font-size: 28px;
    opacity: 1;
    color: var(--color-text);
  }
  .mobile_menu_wrap nav ul.mobile-cat-menu {
    list-style: none;
  }
  .mobile_menu_wrap nav ul.mobile-cat-menu>li {
    display: block;
    padding: 13px 0;
    border-bottom: 1px solid #ececec;
  }
  .mobile_menu_wrap nav ul.mobile-cat-menu>li>a {
    font-size: var(--font-sm);
    line-height: 1;
    text-transform: capitalize;
    font-weight: 700;
    position: relative;
    display: inline-block;
    color: var(--color-heading);
  }
  .hotline_n_cat .hot-deals {
    display: block !important;
  }

  #mega-menu-wrap-primary {
    display: none !important;
  }
  .bottom-header .menu_bar.d-none {
    display: block !important;
    text-align: right;
  }
  .betraweb .dgwt-wcas-search-wrapp {
    max-width: unset;
  }
  .top-header,
  .header_action,
  .hotline,
  .hot-deals {
    display: none !important;
  }
  .logo_wrap {
    display: flex;
    align-items: center;
    margin: 0 !important;
    padding-bottom: 20px;
  }
  .logo_wrap a.custom-logo-link {
    min-width: 25%;
    margin: 0;
  }
  .main-header .header_action_right {
    display: block !important;
    min-width: 75%;
  }
  .header_action2 {
    justify-content: flex-end;
  }
  .category-list {
    display: none;
  }
}
@media (max-width: 992px) {
  /* Footer Part */
  .banner-box {
    margin-bottom: 15px;
  }
  .betraweb .site-footer p.copyright {
    text-align: center;
  }
  .betraweb .site-footer .social_icon {
    justify-content: center;
  }
  .hero-banner-images {
    display: flex;
    gap: 20px;
    margin-top: 20px;
  }
  .mobile_floating_menu.show {
    bottom: 0;
    opacity: 1;
  }
  .mobile_floating_menu {
    position: fixed;
    display: block;
    bottom: -300px;
    left: 0;
    padding: 8px 5px;
    background: #fff;
    box-shadow: 20px 20px 40px rgba(0, 0, 0, 0.3);
    z-index: 999;
    display: flex;
    min-width: 100%;
    align-items: center;
    justify-content: space-evenly;
    transition: all 0.3s ease 0.1s;
    -ms-transition: all 0.3s ease 0.1s;
    -moz-transition: all 0.3s ease 0.1s;
    -o-transition: all 0.3s ease 0.1s;
    opacity: 0;
    min-height: 52px;
  }
  .mobile_floating_menu .mobile_floating_box {
    position: relative;
    text-align: center;
  }
  .mobile_floating_menu .mobile_floating_box a {
    padding: 0px 5px;
    font-size: 12px;
    line-height: 14px;
    font-family: var(--font-heading);
    font-weight: 600;
    color: var(--color-heading);
    display: block;
  }
  .mobile_floating_menu .mobile_floating_box img {
    width: 20px;
    margin: auto;
    display: block;
    margin-bottom: 3px;
  }
  .betraweb .storefront-sticky-add-to-cart.storefront-sticky-add-to-cart--slideInDown {
    display: none !important;
  }
  .product_grid_nav ul.nav.nav-tabs {
    justify-content: flex-start !important;
  }
  .product_grid_nav .nav-tabs.links .nav-link {
    padding: 5px;
    margin: 0 5px;
  }
  .grid-tab-content {
    margin-top: 15px;
  }
  .grid-tab-content .owl-nav {
    left: 10px !important;
    top: -52px;
  }
  section.product_grid.slide .product_grid_nav ul.nav.nav-tabs {
    margin-left: 100px;
  }
  .betraweb .cart-collaterals .cart_totals {
    float: unset;
  }
  .home-slider .slider-content .display-2 {
    font-size: 50px !important;
    line-height: 60px !important;
    margin-bottom: 25px !important;
  }
  .home-slider .slider-content p {
    font-size: 18px;
    line-height: 30px;
    margin-bottom: 35px !important;
  }
  .section-title h3 {
    font-size: 25px;
  }
  h1.product_title.entry-title {
    font-size: 25px;
  }
  .footer_credit {
    padding-bottom: 80px;
  }
}
@media (max-width: 768px) {
  .betraweb.single-product div.product .woocommerce-product-gallery,
  .betraweb.single-product div.product .summary {
    width: 100%;
  }
  .hero-banner-images {
    flex-direction: column;
  }
  .home-banner .banner-image {
    margin: 0;
  }
  .banner-image .banner-text h4 {
    min-height: 10px;
  }
	.hotline_n_cat .hot-deals {
    display: none!important;
  }
  .woocommerce-MyAccount-content .col-1,
  .woocommerce-MyAccount-content .col-2 {
    width: 100% !important;
  }
}
@media (min-width: 1200px) and (max-width: 1320px) {
  .deals_product_wrapper .countdown_wrap .countdown_number {
    width: 40px !important;
  }
}
@media (max-width: 575px) {
  .main-header {
    padding: 10px 0;
  }
  .main-header .logo_wrap {
    padding-bottom: 8px;
  }  
  .logo_wrap {
    justify-content: center;
  }
  .mobile_header_top .hot-deals {
    display: block !important;
    margin: 0 auto;
  }
  .breadcrumb_wrap {
    padding: 5px 0;
  }
  .betraweb .site-content {
    padding-top: 10px;
  }
  .single-product div.product .woocommerce-product-gallery img {
    max-width: 100% !important;
    margin: 0 auto !important;
  }
  .betraweb.single-product div.product .summary .container {
    padding: 0;
  }
  .main-header .header_action_right {
    display: none !important;
  }
  .hero-banner-images {
    margin-top: 10px;
    gap: 0;
  }
  .hero-part {
    padding: 0 0 5px;
  }
  .featured_category {
    padding: 10px 0;
  }
  .product_grid_wrapper .product_image_wrap {
    padding: 35px 8px 0 8px;
  }
  .product_grid_wrapper .product_content_wrap {
    padding: 0 8px 10px 8px;
  }
  .button-position {
    flex-direction: row;
    align-items: flex-start;
  }
  .betraweb .woocommerce-tabs ul.tabs {
    gap: 10px;
  }
  .betraweb .woocommerce-tabs ul.tabs li {
    padding: 5px;
  }
  .betraweb .woocommerce-tabs ul.tabs li>a {
    padding: 5px;
  }
  #reviews .comment-form-phone {
    width: 100%;
  }
  .betraweb.single-product div.product .woocommerce-tabs {
    padding-top: 10px;
  }
  .betraweb .woocommerce-tabs .panel {
    padding: 10px;
  }
  #respond {
    padding: 0;
  }
  .scrollToTop.show {
    bottom: 60px;
  }
  .mobile_floating_menu {
    bottom: 0;
    opacity: 1;
  }
  .betraweb .woocommerce button[name="update_cart"] {
    display: none !important;
  }
  .betraweb table.cart td.actions .coupon {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 0;
    padding: 0;
  }
  .betraweb table.cart td.actions .coupon input {
    width: 45% !important;
  }
}